Subject: Re: bug#57804: An infinite loop in a `fontify-region' function causes Emacs to hang indefinitely

From: Gregory Heytings <[email-masked]>
Date: Thu, 15 Sep 2022 20:26:54 +0000

> 
> How do I decide what is sufficiently large? With this optimization 
> Logview can fall into that infloop in fontification code, at which point 
> Emacs becomes completely frozen, with the only way out to restart it.
>

You just described what would happen without this optimization with a 
sufficiently long line.

>
> With long lines I can suffer slow and not-quite-responsive (but still 
> not hung to death) Emacs, which is much more bearable.
>

Obviously you did not have to deal with long enough lines.

> 
> For you this long-line optimization is probably very important, maybe 
> you often work with files that trigger this and make using Emacs a pain 
> without it.
>

It isn't for me personally, no.  It is important for Emacs users.